Class | TclTkImage
In: | tcltklib/lib/tcltk.rb
Parent: | TclTkCommand

class TclTkImage: tcl/tk images

### Methods

new

### Public Class methods

new(interp, t, *args)

initialize(interp, t, *args):

        generating image is done by TclTkImage.new()
        destrying is done by image delete (inconsistent, sigh)
      interp: interpreter(TclTkInterpreter)
      t: image type (photo, bitmap, etc.)
      *args: command argument

[Source]

    # File tcltklib/lib/tcltk.rb, line 356
      def initialize(interp, t, *args)
        # auto-generate tcl/tk representation
        exp = TclTk._newname("i_")
        # initialize TclTkObject
        super(interp._tcltkip(), exp)
        # generate image
        res = @ip._eval_args("image create", t, exp, *args)
        fail("can't create Image") if res != exp
      end

[Validate]